<template>
  <el-button type="text" size="mini" @click.stop="edit()" :disabled="!disabled">编辑</el-button>
</template>

<script>
export default {
  name: 'Edit',
  data() {
    return {
    };
  },
  computed: {
  },
  props: ['fileData','disabled'],
  watch: {
  },
  methods: {
    edit() {
      window.sessionStorage.setItem('newMaterial', JSON.stringify(this.fileData));
      this.$store.dispatch('DrawerShowChange',true)
      this.$router.push({
        path: '/upload_archives_y',
        query: {
          id: this.fileData.sat_sharematerialid
        }
      });
    }
  },
};
</script>

<style scoped>
</style>